## ide-omni-bar ide-omni-bar |

## Functions

GtkWidget * | ide_omni_bar_new ()
void | ide_omni_bar_add_status_icon ()
void | ide_omni_bar_add_button ()
void | ide_omni_bar_set_placeholder ()
void | ide_omni_bar_add_popover_section ()

## Types and Values

#define | IDE_TYPE_OMNI_BAR
| IdeOmniBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── IdeOmniBar

## Implemented Interfaces

IdeOmniBar implements AtkImplementorIface, GtkBuildable and GActionGroup.

## Description

## Functions

### ide_omni_bar_new ()

    GtkWidget *
    ide_omni_bar_new (void);

### ide_omni_bar_add_status_icon ()

    void
    ide_omni_bar_add_status_icon (IdeOmniBar *self,
                                  GtkWidget *widget,
                                  gint priority);

Adds a status-icon style widget to the end of the omnibar. Generally, you'll want this to be either a GtkButton, GtkLabel, or something simple.

#### Parameters

self | a IdeOmniBar |
widget | the GtkWidget to add |
priority | the sort priority for `widget` |

Since: 3.32

### ide_omni_bar_add_button ()

    void
    ide_omni_bar_add_button (IdeOmniBar *self,
                             GtkWidget *widget,
                             GtkPackType pack_type,
                             gint priority);

### ide_omni_bar_set_placeholder ()

    void
    ide_omni_bar_set_placeholder (IdeOmniBar *self,
                                  GtkWidget *placeholder);

### ide_omni_bar_add_popover_section ()

    void
    ide_omni_bar_add_popover_section (IdeOmniBar *self,
                                      GtkWidget *widget,
                                      gint priority);

Adds `widget` to the omnibar popover, sorted by `priority`

#### Parameters

self | an IdeOmniBar |
widget | a GtkWidget |
priority | sort priority for the section |

Since: 3.32

## Types and Values

### IDE_TYPE_OMNI_BAR

    #define IDE_TYPE_OMNI_BAR (ide_omni_bar_get_type())

### IdeOmniBar

    typedef struct _IdeOmniBar IdeOmniBar;